# $Revision: 1.349 $, $Date: 2012/06/10 15:19:47 $
# TODO
#   /usr/share/getopt/getopt-parse.bash
#   /usr/share/getopt/getopt-parse.tcsh
#
# Conditional build:
%bcond_with	uClibc		# link initrd version with static glibc instead of uClibc
%bcond_without	dietlibc	# link initrd version with dietlibc instead of uClibc
%bcond_without	selinux 	# SELinux support
%if "%{pld_release}" == "ac"
%bcond_with		initrd		# don't build initrd version
%bcond_with		fallocate	# fallocate utility (needs glibc 2.11 to compile)
%bcond_with		partx		# partx utility (needs glibc 2.10 for openat to compile)
%else
%bcond_without	initrd		# don't build initrd version
%bcond_without	fallocate	# fallocate utility (needs glibc 2.11 to compile)
%bcond_without	partx		# partx utility (needs glibc 2.10 for openat to compile)
%endif

%if "%{pld_release}" == "ac"
%define		pam_ver 0.79.0
%else
%define		pam_ver 0.99.7.1
%endif

Summary:	Collection of basic system utilities for Linux
Summary(de.UTF-8):	Sammlung von grundlegenden Systemdienstprogrammen für Linux
Summary(es.UTF-8):	Colectánea de utilitarios básicos de sistema para Linux
Summary(fr.UTF-8):	Ensemble d'utilitaires système de base pour Linux
Summary(pl.UTF-8):	Zbiór podstawowych narzędzi systemowych dla Linuksa
Summary(pt_BR.UTF-8):	Coletânea de utilitários básicos de sistema para Linux
Summary(ru.UTF-8):	Набор базовых системных утилит для Linux
Summary(tr.UTF-8):	Temel sistem araçları
Summary(uk.UTF-8):	Набір базових системних утиліт для Linux
Name:		util-linux
Version:	2.21.2
Release:	3
License:	GPL
Group:		Applications/System
Source0:	https://www.kernel.org/pub/linux/utils/util-linux/v2.21/%{name}-%{version}.tar.xz
# Source0-md5:	54ba880f1d66782c2287ee2c898520e9
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	3c940c7e7fe699eaa2ddb1bffb3de2fe
Source2:	login.pamd
Source3:	%{name}-blockdev.init
Source4:	%{name}-blockdev.sysconfig
Source5:	blockdev.upstart
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-ng-union-mount.patch
Patch3:		%{name}-fdformat-ide.patch
Patch4:		%{name}-fhs.patch
Patch5:		%{name}-hotkeys.patch
Patch7:		%{name}-login-lastlog.patch
Patch8:		%{name}-procpartitions.patch
Patch9:		%{name}-swaponsymlink.patch
Patch10:	%{name}-diet.patch
Patch11:	no-openat.patch
URL:		http://userweb.kernel.org/~kzak/util-linux/
BuildRequires:	audit-libs-devel >= 1.0.6
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-devel >= 0.14.1
%{?with_fallocate:BuildRequires:	glibc-devel >= 6:2.11}
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	gtk-doc-automake >= 1.10
%{?with_selinux:BuildRequires:	libselinux-devel}
%{?with_selinux:BuildRequires:	libsepol-devel}
BuildRequires:	libtool >= 2:2.2
BuildRequires:	linux-libc-headers >= 7:2.6.27
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pam-devel >= %{pam_ver}
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.470
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
%if %{with initrd}
	%if %{with uClibc}
BuildRequires:	uClibc-static >= 2:0.9.29
	%else
		%if %{with dietlibc}
BuildRequires:	dietlibc-static >= 2:0.32-14
		%else
BuildRequires:	glibc-static
		%endif
	%endif
%endif
Requires:	libblkid = %{version}-%{release}
Requires:	pam >= %{pam_ver}
Provides:	fdisk
Provides:	linux32
Provides:	sparc32
Obsoletes:	cramfs
Obsoletes:	ionice
Obsoletes:	linux32
Obsoletes:	rawdevices
Obsoletes:	schedutils
Obsoletes:	setarch
Obsoletes:	sparc32
Obsoletes:	util-linux-ng < 2.20-1
Obsoletes:	util-linux-suids
Conflicts:	SysVinit < 2.86-26
Conflicts:	e2fsprogs < 1.41.8-5
Conflicts:	shadow-extras < 1:4.0.3-6
Conflicts:	upstart-SysVinit < 2.86-28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debugcflags	-O1 -g

# for some reason known only to rpm there must be "\\|" not "\|" here
%define		dietarch	%(echo %{_target_cpu} | sed -e 's/i.86\\|pentium.\\|athlon/i386/;s/amd64/x86_64/;s/armv.*/arm/')
%define		dietlibdir	%{_prefix}/lib/dietlibc/lib-%{dietarch}

%ifarch ppc ppc64
# for dietlibc
%define		filterout_ld	-Wl,-z,relro
%endif

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system. This includes, among other
things, configuration tools such as fdisk and system programs such as
logger.

%description -l de.UTF-8
util-linux enthält eine große Anzahl an
low-level-Systemdienstprogrammen, die für ein funktionierendes
Linux-System erforderlich sind. Dazu gehören Konfigurationstools wie
'fdisk' und Systemprogramme wie 'logger'.

%description -l es.UTF-8
util-linux contiene una gran variedad de utilitarios de sistema de
bajo nivel necesarios a un sistema Linux funcional. Esto incluye,
entre otras cosas, herramientas de configuración como fdisk y
programas de sistema como logger.

%description -l fr.UTF-8
util-linux contient une grande variété d'utilitaire système bas niveau
nécessaires au fonctionnement d'un système Linux. Cela comprend, entre
autres, les outils de configuration comme fdisk et des programmes
systèmes comme logger.

%description -l pl.UTF-8
util-linux zawiera wiele różnych, niskopoziomowych narzędzi
systemowych niezbędnych do prawidłowego działania Linuksa. W pakiecie
znajdują się między innymi narzędzia konfiguracyjne, takie jak fdisk i
programy systemowe, takie jak logger.

%description -l pt_BR.UTF-8
util-linux contém uma grande variedade de utilitários de sistema de
baixo-nível necessários para um sistema Linux funcional. Isso inclui,
entre outras coisas, ferramentas de configuração como fdisk e
programas de sistema como logger.

%description -l ru.UTF-8
Этот пакет содержит большой набор системных утилит низкого уровня,
которые необходимы для функционирования системы Linux. Он включает, в
числе прочих, инструменты конфигурации, такие как fdisk, и системные
программы, такие как logger.

%description -l tr.UTF-8
şlevsel durumdaki bir Linux sistemi için gerekli birçok alt düzey
sistem araçlarını içerir. Bunlar arasında fdisk gibi yapılandırma
uygulamaları ve logger gibi sistem programları sayılabilir.

%description -l uk.UTF-8
Цей пакет містить великий набір системних утиліт низького рівня, які
необхідні для функціонування системи Linux. Він містить, окрім інших,
конфігураційні інструменти (такі як fdisk) та системні програми (такі
як logger).

%package -n blockdev
Summary:	Support for blockdev
Summary(pl.UTF-8):	Obsługa blockdev
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	coreutils
Requires:	rc-scripts >= 0.4.3.0

%description -n blockdev
The utility blockdev allows one to call block device ioctls from the
command line. This package also includes initscript to set blockdev
parameters at system startup.

%description -n blockdev -l pl.UTF-8
Narzędzie blockdev pozwala na wywołania ioctl dla urządzeń blokowych z
linii poleceń. Ten pakiet zawiera także skrypt inicjalizacyjny do
ustawiania parametrów blockdev przy starcie systemu.

%package -n losetup
Summary:	Programs for setting up and configuring loopback devices
Summary(de.UTF-8):	Programme zum Einrichten und Konfigurieren von Loopback-Geräten
Summary(fr.UTF-8):	Programmes pour mettre en place et configurer les loopback
Summary(pl.UTF-8):	Program do konfiguracji urządzenia blokowego loopback
Summary(ru.UTF-8):	Программы для настройки loopback-устройств
Summary(tr.UTF-8):	Yerel-çevrim aygıtlarının kurulması ve ayarlanması için programlar
Summary(uk.UTF-8):	Програми для конфігурації loopback-пристроїв
Group:		Applications/System

%description -n losetup
Linux supports a special block device called the loopback device,
which maps a normal file onto a virtual block device. This package
contains programs for setting up and removing the mapping between
files and loopback devices.

Block loopback devices should not be confused with the networking
loopback device, which is configured with the normal ifconfig command.

%description -n losetup -l de.UTF-8
Linux unterstützt ein spezielles Blockgerät, das sogenannte Loopback,
das eine normale Datei auf ein virtuelles Blockgerät abbildet. Das
Paket enthält Programme zum Einrichten und Entfernen der Zuordnung
zwischen Dateien und Loopback-Geräten.

%description -n losetup -l fr.UTF-8
Linux gère un périphérique bloc spécial appelé « loopback », qui
correspond à un fichier normal sur un périphérique bloc virtuel. Ce
paquetage contient les programmes pour configurer et supprimer la
correspondance entre les fichiers et les périphériques loopback.

Les périphériques bloc loopback ne doivent pas être confondus avec le
périphérique loopback du réseau, configuré avec la commande ifconfig
normale.

%description -n losetup -l pl.UTF-8
Linux wspiera specjalne urządzenie blokowe loopback, które mapuje
normalny plik w wirtualne urządzenie blokowe. Pakiet ten zawiera
program, przy pomocy którego będziesz mógł je skonfigurować.

Urządzenie blokowe loopback nie powinno być mylone z sieciowym
interfejsem loopback, który jest konfigurowany przy pomocy polecenia
ifconfig.

%description -n losetup -l ru.UTF-8
Linux поддерживает специальное блочное устройство, называемое
loopback, которое отображает обычный файл в виртуальное блочное
устройство. Это позволяет использовать файл как виртуальную файловую
систему. Losetup используется для связи loopback-устройств с обычными
файлами или блочными устройствами, для отсоединения loopback-устройств
и запросов их статуса.

%description -n losetup -l tr.UTF-8
Linux özel bir blok aygıt olan yerel-çevrim aygıtını (loopback device)
destekler. Bu aygıt normal bir dosyanın sanal bir blok aygıtı üzerine
haritasını çıkarır. Bu paket, dosyalar ve yerel-çevrim aygıtları
arasındaki haritalama işleminin kurulması ve kaldırılması için
programlar içerir. Blok yerel-çevrim aygıtı ifconfig komutu ile
yapılandırılan ağ yerel-çevrim aygıtı ile karıştırılmamalıdır.

%description -n losetup -l uk.UTF-8
Linux підтримує спеціальний блочний пристрій, loopback, який
відображує звичайний файл у віртуальний блочний пристрій. Це дозволяє
використовувати файл як віртуальну файлову систему. Losetup
використовують для зв'язку loopback-пристроїв зі звичайними файлами
або блочними пристроями, для від'єднання loopback-пристроїв та
запросів їх стану.

%package -n mount
Summary:	Programs for mounting and unmounting filesystems
Summary(de.UTF-8):	Programme zum montieren und abmontieren von Dateisystemen
Summary(fr.UTF-8):	Programme pour monter et démonter des systèmes de fichiers
Summary(pl.UTF-8):	Programy do montowania i odmontowywania systemów plików
Summary(ru.UTF-8):	Программы для монтирования и размонтирования файловых систем
Summary(tr.UTF-8):	Dosya sistemlerini bağlamak ve çözmek için programlar
Summary(uk.UTF-8):	Програми для монтування та розмонтування файлових систем
Group:		Applications/System
Requires:	libmount = %{version}-%{release}
Conflicts:	SysVinit < 2.86-26
# C: nfs-utils-common is opposite to http://cvs.pld-linux.org/packages/nfs-utils/nfs-utils.spec?r1=1.165&r2=1.166
Conflicts:	nfs-utils-common < 1.1.3-3

%description -n mount
mount is used for adding new filesystems, both local and networked, to
your current directory structure. The filesystems must already exist
for this to work. It can also be used to change the access types the
kernel uses for already-mounted filesystems.

This package is critical for the functionality of your system.

%description -n mount -l de.UTF-8
mount wird zum Hinzufügen neuer Dateisysteme (lokal und im Netzwerk)
zu Ihrer aktuellen Verzeichnisstruktur verwendet. Die Dateisysteme
müssen bereits existieren. Außerdem können die Zugriffstypen geändert
werden, die der Kernel für bereits montierte Dateisysteme verwendet.

Dieses Paket ist für Ihr System unbedingt erforderlich.

%description -n mount -l fr.UTF-8
mount sert à ajouter de nouveaux systèmes de fichiers, locaux ou
réseaux, à votre structure de répertoire. Les systèmes de fichiers
doivent déjà exister pour que cela fonctionne. Il peut aussi servir à
changer les types d'accès pour les systèmes de fichiers déjà montés.

Ce paquetage est critique pour le fonctionnement de votre système.

%description -n mount -l pl.UTF-8
Program mount jest używany przez system do montowania systemów plików,
zarówno lokalnych jak i sieciowych (np. NFS).

Pakiet ten jest niezbędny do prawidłowej pracy twojego Linuksa.

%description -n mount -l ru.UTF-8
Пакет mount содержит программы mount, umount, swapon и swapoff. Файлы
в вашей системе организованы в виде одного большого дерева или
иерархии. Эти файлы могут быть размещены на разных устройствах.
Команда mount присоединяет файловую систему на некотором устройстве к
дереву файлов вашей системы. Команда umount отсоединяет файловую
систему от дерева. Swapon и swapoff, соответственно, разрешает и
запрещает своппинг в определенные файлы и устройства.

%description -n mount -l tr.UTF-8
mount, hem yerel hem de ağ dosya sistemlerinin dizin yapısına
eklenmesi için kullanılır. Bunun için bağlanacak dosya sisteminin
önceden hazırlanmış olması gerekir. Aynı zamanda çekirdeğin bağlanmış
dosya sistemlerine erişimini değiştirmek için de kullanılır. Bu paket
sisteminizin işlevselliği açısından kritiktir.

%description -n mount -l uk.UTF-8
Пакет mount містить програми mount, umount, swapon та swapoff. Файли у
вашій системі організовані у вигляді одного великого дерева або
ієрархії. Ці файли можуть бути розташовані на різних пристроях.
Команда mount під'єднує файлову систему на деякому пристрої до дерева
файлів вашої системи. Команда umount від'єднує файлову систему від
дерева. Swapon та swapoff, відповідно, дозволяє та заборонює свопінг у
визначені файли або пристрої.

%package chkdupexe
Summary:	chkdupexe - find duplicate executables
Summary(pl.UTF-8):	chkdupexe odszukuje powtarzające się pliki uruchamialne
Group:		Applications/System
Obsoletes:	util-linux-ng-chkdupexe < 2.20-1

%description chkdupexe
chkdupexe will scan the union of $PATH and a hardcoded list of common
locations for binaries. It will report dangling symlinks and
duplicately-named binaries.

%description chkdupexe -l pl.UTF-8
chkdupexe przeszukuje katalogi z $PATH oraz inne powszechnie znane
katalogi z plikami uruchamialnymi i informuje o powtarzających się
plikach w różnych katalogach.

%package -n tunelp
Summary:	Configures kernel parallel port driver
Summary(de.UTF-8):	Konfiguriert den Kerneltreiber für den parallelen Port
Summary(fr.UTF-8):	Configure le pilote du port parallèle dans le noyau
Summary(pl.UTF-8):	Program do konfigurowania sterownika portu równoległego
Summary(tr.UTF-8):	Çekirdeğin paralel bağlantı noktası sürücüsünü ayarlar
License:	GPL v2+
Group:		Applications/System

%description -n tunelp
tunelp aids in configuring the kernel parallel port driver.

%description -n tunelp -l de.UTF-8
tunelp hilft bei der Konfiguration des Kernel-Parallelport-Treibers.

%description -n tunelp -l fr.UTF-8
« tunelp » aide à configurer le pilote du noyau pour le port
parallèle.

%description -n tunelp -l pl.UTF-8
Program do konfigurowania sterownika portu równoległego.

%description -n tunelp -l tr.UTF-8
Paralel bağlantı noktası sürücüsünü ayarlar.

%package -n login
Summary:	login is used when signing onto a system
Summary(pl.UTF-8):	login jest używany do rozpoczęcia pracy w systemie
Group:		Applications/System
Requires:	pam >= %{pam_ver}
Obsoletes:	heimdal-login

%description -n login
login is used when signing onto a system. It can also be used to
switch from one user to another at any time (most modern shells have
support for this feature built into them, however).

%description -n login -l pl.UTF-8
login jest używany do rozpoczęcia pracy w systemie. Może być używany
do przełączania z jednego użytkownika na innego w każdym momencie
(jednak większość nowoczesnych powłok ma takie funkcje wbudowane).

%package -n agetty
Summary:	Alternative Linux getty
Summary(pl.UTF-8):	Alternatywny getty
Group:		Applications/System
Requires:	login

%description -n agetty
agetty is simple Linux getty with serial support.

%description -n agetty -l pl.UTF-8
agetty jest prostym linuksowym getty z obsługą portu szeregowego.

%package -n libblkid
Summary:	Library to handle device identification and token extraction
Summary(pl.UTF-8):	Biblioteka do obsługi identyfikacji urządzeń
License:	LGPL v2.1+
Group:		Libraries
Requires:	libuuid = %{version}-%{release}
Obsoletes:	util-linux-ng-libs < 2.20-1

%description -n libblkid
Library to handle device identification and token extraction.

%description -n libblkid -l pl.UTF-8
Biblioteka do obsługi identyfikacji urządzeń i wydobywania tokenów.

%package -n libblkid-devel
Summary:	Header files for blkid library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki blkid
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	libblkid = %{version}-%{release}
Requires:	libuuid-devel = %{version}-%{release}
Obsoletes:	util-linux-ng-devel < 2.20-1

%description -n libblkid-devel
Header files for blkid library.

%description -n libblkid-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki blkid.

%package -n libblkid-static
Summary:	Static library to handle device identification and token extraction
Summary(pl.UTF-8):	Statyczna biblioteka do obsługi identyfikacji urządzeń
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	libblkid-devel = %{version}-%{release}
Requires:	libuuid-static = %{version}-%{release}
Obsoletes:	util-linux-ng-static < 2.20-1

%description -n libblkid-static
Static library to handle device identification and token extraction.

%description -n libblkid-static -l pl.UTF-8
Statyczna biblioteka do obsługi identyfikacji urządzeń i wydobywania
tokenów.

%package -n libblkid-dietlibc
Summary:	Static dietlibc library to handle device identification and token extraction
Summary(pl.UTF-8):	Statyczna biblioteka dietlibc do obsługi identyfikacji urządzeń
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	libblkid-devel = %{version}-%{release}
Requires:	libuuid-dietlibc = %{version}-%{release}

%description -n libblkid-dietlibc
Library to handle device identification and token extraction - static
dietlibc version.

%description -n libblkid-dietlibc -l pl.UTF-8
Biblioteka do obsługi identyfikacji urządzeń i wydobywania tokenów -
wersja statyczna dla dietlibc.

%package -n libuuid
Summary:	Library for accessing and manipulating UUID
Summary(pl.UTF-8):	Biblioteka umożliwiająca dostęp i zmiany UUID
License:	BSD
Group:		Libraries
Conflicts:	e2fsprogs < 1.34-3

%description -n libuuid
Library for accessing and manipulating UUID.

%description -n libuuid -l pl.UTF-8
Biblioteka umożliwiająca dostęp i zmiany UUID.

%package -n libuuid-devel
Summary:	Header files for library for accessing and manipulating UUID
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki umożliwiającej dostęp i zmiany UUID
License:	BSD
Group:		Development/Libraries
Requires:	libuuid = %{version}-%{release}
Conflicts:	e2fsprogs-devel < 1.34-3

%description -n libuuid-devel
Library for accessing and manipulating UUID - development files.

%description -n libuuid-devel -l pl.UTF-8
Biblioteka umożliwiająca dostęp i zmiany UUID - pliki dla
programistów.

%package -n libuuid-static
Summary:	Static library for accessing and manipulating UUID
Summary(pl.UTF-8):	Statyczna biblioteka umożliwiająca dostęp i zmiany UUID
License:	BSD
Group:		Development/Libraries
Requires:	libuuid-devel = %{version}-%{release}
Conflicts:	e2fsprogs-static < 1.34-3

%description -n libuuid-static
Library for accessing and manipulating UUID - static version.

%description -n libuuid-static -l pl.UTF-8
Biblioteka umożliwiająca dostęp i zmiany UUID - wersja statyczna.

%package -n libuuid-dietlibc
Summary:	Static dietlibc library for accessing and manipulating UUID
Summary(pl.UTF-8):	Statyczna biblioteka dietlibc umożliwiająca dostęp i zmiany UUID
License:	BSD
Group:		Development/Libraries
Requires:	libuuid-devel = %{version}-%{release}
Conflicts:	e2fsprogs-static < 1.34-3

%description -n libuuid-dietlibc
Library for accessing and manipulating UUID - static dietlibc version.

%description -n libuuid-dietlibc -l pl.UTF-8
Biblioteka umożliwiająca dostęp i zmiany UUID - wersja statyczna dla
dietlibc.

%package -n uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Summary(pl.UTF-8):	Pomocniczy demon gwarantujący unikalność UUID-ów opartych na czasie
License:	GPL v2
Group:		Daemons
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/groupmod
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	libuuid = %{version}-%{release}
Provides:	group(uuidd)
Provides:	user(uuidd)
Conflicts:	libuuid < 1.40.5-0.1

%description -n uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%description -n uuidd -l pl.UTF-8
Ten pakiet zawiera działającego w przestrzeni użytkownika demona
(uuidd) gwarantującego unikalność generowania UUID-ów opartych na
czasie nawet przy bardzo dużej częstotliwości na systemach SMP.

%package -n libmount
Summary:	Library to handle mounting-related tasks
Summary(pl.UTF-8):	Biblioteka obsługująca zadania związane z montowaniem
License:	LGPL
Group:		Libraries
Requires:	libblkid = %{version}-%{release}

%description -n libmount
Library to handle mounting-related tasks.

%description -n libmount -l pl.UTF-8
Biblioteka obsługująca zadania związane z montowaniem.

%package -n libmount-devel
Summary:	Header files for mount library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mount
License:	LGPL
Group:		Development/Libraries
Requires:	libblkid-devel = %{version}-%{release}
Requires:	libmount = %{version}-%{release}

%description -n libmount-devel
Header files for mount library.

%description -n libmount-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki mount.

%package -n libmount-static
Summary:	Static version of mount library
Summary(pl.UTF-8):	Statyczna wersja biblioteki mount
License:	LGPL
Group:		Development/Libraries
Requires:	libmount-devel = %{version}-%{release}

%description -n libmount-static
Static version of mount library.

%description -n libmount-static -l pl.UTF-8
Statyczna wersja biblioteki mount.

%package -n libmount-dietlibc
Summary:	Static dietlibc mount library
Summary(pl.UTF-8):	Statyczna biblioteka mount dla dietlibc
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	libblkid-devel = %{version}-%{release}
Requires:	libblkid-dietlibc = %{version}-%{release}
Requires:	libuuid-devel = %{version}-%{release}
Requires:	libuuid-dietlibc = %{version}-%{release}

%description -n libmount-dietlibc
Static dietlibc version of mount library.

%description -n libmount-dietlibc -l pl.UTF-8
Statyczna wersja biblioteki mount dla dietlibc.

%package -n fsck
Summary:	Check and repair a Linux file system
Summary(pl.UTF-8):	Sprawdzanie i naprawa linuksowego systemu plików
Group:		Applications/System
Requires:	libblkid = %{version}-%{release}

%description -n fsck
Check and repair a Linux file system.

%description -n fsck -l pl.UTF-8
Sprawdzanie i naprawa linuksowego systemu plików.

%package initrd
Summary:	blkid - initrd version
Summary(pl.UTF-8):	blkid - wersja dla initrd
Group:		Base
Obsoletes:	util-linux-ng-initrd < 2.20-1
Conflicts:	geninitrd < 10000.10

%description initrd
This package includes a blkid utility to recognize partitions by label
or UUID - staticaly linked for initrd.

%description initrd -l pl.UTF-8
Pakiet ten zawiera narzędzie blkid do rozpoznawania partycji przez
etykietę lub UUID - statycznie skonsolidowane na potrzeby initrd.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%if %{without partx}
%patch11 -p1
%endif

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

export CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses -DHAVE_LSEEK64_PROTOTYPE -DHAVE_LLSEEK_PROTOTYPE"
%if %{with initrd}
%{?with_uClibc:xCC="%{_target_cpu}-uclibc-gcc"}
%{?with_dietlibc:xCC="%{__cc}"; xCC="diet ${xCC#*ccache }"}
%configure \
%if %{with dietlibc}
	ac_cv_header_crypt_h="no" \
%endif
	CC="$xCC" \
%if "%{?configure_cache}" == "1"
	--cache-file=%{?configure_cache_file}%{!?configure_cache_file:configure}-initrd.cache \
%endif
	--disable-shared \
	--enable-static \
	--disable-fsck \
	--disable-cramfs \
	--disable-raw \
	--disable-libmount \
	--disable-login-utils \
	--disable-schedutils \
	--disable-silent-rules \
	--disable-use-tty-group \
	--disable-wall \
	--without-audit \
	--without-ncurses \
	--without-selinux

# configure gets it unconditionally wrong
%{__sed} -i -e 's/#define HAVE_WIDECHAR 1//' config.h

%{__sed} -i -e 's/ cal\$(EXEEXT) / /; s/ lsblk\$(EXEEXT)//' misc-utils/Makefile

for dir in libblkid libuuid disk-utils misc-utils fsck fdisk schedutils hwclock; do
	%{__make} -C $dir \
	%if %{with uClibc}
		LDFLAGS="-Wl,-static"
	%endif
	%if %{with dietlibc}
		CPPFLAGS="$CPPFLAGS -D_BSD_SOURCE" \
		LDFLAGS="-lcompat"
	%endif
	# empty line required because there is a backslash up there
	%{__make} -C $dir install DESTDIR=$(pwd)/initrd
done

%{__make} clean
%endif

%configure \
	--bindir=/bin \
	--sbindir=/sbin \
	%{!?with_fallocate:--disable-fallocate} \
	--disable-silent-rules \
	--disable-use-tty-group \
	--disable-wall \
	--enable-ddate \
	--enable-line \
	--enable-kill \
	--enable-login-chown-vcs \
	--enable-login-utils \
	--enable-partx \
	--enable-write \
	--with-audit \
	--with%{!?with_selinux:out}-selinux

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,sysconfig,init,security} \
	$RPM_BUILD_ROOT{/%{_lib},/var/{lock,lib/libuuid}}
%{?with_dietlibc:install -d $RPM_BUILD_ROOT%{dietlibdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with partx}
mv $RPM_BUILD_ROOT%{_sbindir}/{addpart,delpart,partx} $RPM_BUILD_ROOT/sbin
%endif
mv $RPM_BUILD_ROOT/sbin/raw $RPM_BUILD_ROOT%{_bindir}

cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/login
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/blockdev
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/blockdev
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/init/blockdev.conf

:> $RPM_BUILD_ROOT/etc/security/blacklist.login
:> $RPM_BUILD_ROOT/var/lock/wtmpxlock
:> $RPM_BUILD_ROOT%{_sysconfdir}/blkid.tab

for lib in blkid uuid mount; do
	mv $RPM_BUILD_ROOT%{_libdir}/lib${lib}.so.* $RPM_BUILD_ROOT/%{_lib}
	ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/lib${lib}.so.*.*.*) \
		 $RPM_BUILD_ROOT%{_libdir}/lib${lib}.so
done

ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock
echo '.so hwclock.8' > $RPM_BUILD_ROOT%{_mandir}/man8/clock.8

for d in cs de es fi fr hu id it ja ko nl pl ; do
	for m in man1 man5 man8 ; do
		if [ -d man/$d/$m ]; then
			install -d $RPM_BUILD_ROOT%{_mandir}/$d/$m
			cp -a man/$d/$m/* $RPM_BUILD_ROOT%{_mandir}/$d/$m
		fi
	done
done
# it's been moved from man1 to man8
for d in es ja ko ; do
	mv -f $RPM_BUILD_ROOT%{_mandir}/$d/man1/readprofile.1 \
		$RPM_BUILD_ROOT%{_mandir}/$d/man8/readprofile.8
	%{__sed} -i -e 's/READPROFILE 1/READPROFILE 8/' $RPM_BUILD_ROOT%{_mandir}/$d/man8/readprofile.8
done

# cleanup, remove files not included in package
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{chfn,chsh,newgrp} \
	$RPM_BUILD_ROOT%{_sbindir}/{vigr,vipw} \
	$RPM_BUILD_ROOT%{_mandir}/man1/{chfn,chsh,newgrp}.1 \
	$RPM_BUILD_ROOT%{_mandir}/man8/{vigr,vipw}.8 \
	$RPM_BUILD_ROOT%{_mandir}/*/man1/{arch,reset}.1 \
	$RPM_BUILD_ROOT%{_mandir}/*/man5/nfs.5 \
	$RPM_BUILD_ROOT%{_mandir}/*/man8/{elvtune,setfdprm,sln,ramsize,raw,rdev,rootflags,vidmode}.8

%ifarch sparc sparc64
%{__rm} $RPM_BUILD_ROOT%{_mandir}/*/man8/{cfdisk,sfdisk}.8
%endif

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_libdir}/initrd
install -p initrd%{_bindir}/* $RPM_BUILD_ROOT%{_libdir}/initrd/
install -p initrd%{_sbindir}/* $RPM_BUILD_ROOT%{_libdir}/initrd/
ln -s fsck $RPM_BUILD_ROOT%{_libdir}/initrd/e2fsck

# We don't need those
%{__rm} $RPM_BUILD_ROOT%{_libdir}/initrd/{chkdupexe,uuidd,mcookie,whereis,mkfs*,fsck.minix,isosize,logger}

%if %{with dietlibc}
cp -a initrd%{_libdir}/lib*.a $RPM_BUILD_ROOT%{dietlibdir}
%endif
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n blockdev
/sbin/chkconfig --add blockdev
%service blockdev restart

%preun -n blockdev
if [ "$1" = "0" ]; then
	%service blockdev stop
	/sbin/chkconfig --del blockdev
fi

%post	-n libblkid -p /sbin/ldconfig
%postun -n libblkid -p /sbin/ldconfig

%post   -n libuuid -p /sbin/ldconfig
%postun -n libuuid -p /sbin/ldconfig

%pre    -n uuidd
if [ "$(getgid libuuid 2>/dev/null)" = "222" ]; then
        /usr/sbin/groupmod -n uuidd libuuid
fi
%groupadd -g 222 uuidd
if [ "$(id -u libuuid 2>/dev/null)" = "222" ]; then
        /usr/sbin/usermod -l uuidd libuuid
fi
%useradd -u 222 -r -d /var/lib/libuuid -s /bin/false -c "UUID generator helper daemon" -g uuidd uuidd

%postun -n uuidd
if [ "$1" = "0" ]; then
        %userremove uuidd
        %groupremove uuidd
fi

%post	-n libmount -p /sbin/ldconfig
%postun -n libmount -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc */README.* NEWS

%attr(755,root,root) /sbin/clock
%attr(755,root,root) /sbin/hwclock*
%{_mandir}/man8/clock.8*
%{_mandir}/man8/hwclock.8*
%lang(es) %{_mandir}/es/man8/clock.8*
%lang(es) %{_mandir}/es/man8/hwclock.8*
%lang(ja) %{_mandir}/ja/man8/clock.8*
%lang(ja) %{_mandir}/ja/man8/hwclock.8*

%ghost %{_sysconfdir}/blkid.tab
%attr(755,root,root) /sbin/blkid
%attr(755,root,root) /sbin/findfs
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/findfs.8*

%attr(755,root,root) %{_bindir}/linux*
%attr(755,root,root) %{_bindir}/setarch
%{_mandir}/man8/linux*
%{_mandir}/man8/setarch.8*
%ifarch s390 s390x
%attr(755,root,root) %{_bindir}/s390*
%{_mandir}/man8/s390*
%endif
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_bindir}/i386
%{_mandir}/man8/i386*
%ifarch %{x8664}
%attr(755,root,root) %{_bindir}/x86_64
%{_mandir}/man8/x86_64*
%endif
%endif
%ifarch ppc ppc64
%attr(755,root,root) %{_bindir}/ppc*
%{_mandir}/man8/ppc*
%endif
%ifarch sparc sparc64
%attr(755,root,root) %{_bindir}/sparc*
%{_mandir}/man8/sparc*
%endif
%ifarch ia64
%attr(755,root,root) %{_bindir}/i386
%attr(755,root,root) %{_bindir}/ia64
%{_mandir}/man8/i386*
%{_mandir}/man8/ia64*
%endif

%attr(755,root,root) /bin/dmesg
%attr(755,root,root) /bin/kill
%attr(755,root,root) /bin/more

%attr(755,root,root) /sbin/chcpu
%attr(755,root,root) /sbin/ctrlaltdel
%if %{with partx}
%attr(755,root,root) /sbin/addpart
%attr(755,root,root) /sbin/delpart
%attr(755,root,root) /sbin/partx
%attr(755,root,root) /bin/lsblk
%endif
%attr(755,root,root) /sbin/fsfreeze
%attr(755,root,root) /sbin/fstrim
%attr(755,root,root) /sbin/mkfs
%attr(755,root,root) /sbin/mkswap
%attr(755,root,root) /sbin/swaplabel
%if "%{pld_release}" != "ac"
%attr(755,root,root) /sbin/switch_root
%endif
%attr(755,root,root) /sbin/wipefs
%attr(755,root,root) %{_bindir}/cal
%attr(755,root,root) %{_bindir}/chrt
%attr(755,root,root) %{_bindir}/col
%attr(755,root,root) %{_bindir}/colcrt
%attr(755,root,root) %{_bindir}/colrm
%attr(755,root,root) %{_bindir}/column
%attr(755,root,root) %{_bindir}/cytune
%attr(755,root,root) %{_bindir}/ddate
%attr(755,root,root) %{_bindir}/flock
%{?with_fallocate:%attr(755,root,root) %{_bindir}/fallocate}
%attr(755,root,root) %{_bindir}/getopt
%attr(755,root,root) %{_bindir}/hexdump
%attr(755,root,root) %{_bindir}/ionice
%attr(755,root,root) %{_bindir}/ipcmk
%attr(755,root,root) %{_bindir}/ipcrm
%attr(755,root,root) %{_bindir}/ipcs
%attr(755,root,root) %{_bindir}/isosize
%attr(755,root,root) %{_bindir}/line
%attr(755,root,root) %{_bindir}/logger
%attr(755,root,root) %{_bindir}/look
%attr(755,root,root) %{_bindir}/lscpu
%attr(755,root,root) %{_bindir}/mcookie
%attr(755,root,root) %{_bindir}/namei
%attr(755,root,root) %{_bindir}/pg
%attr(755,root,root) %{_bindir}/prlimit
%attr(755,root,root) %{_bindir}/raw
%attr(755,root,root) %{_bindir}/rename
%attr(755,root,root) %{_bindir}/renice
%attr(755,root,root) %{_bindir}/rev
%attr(755,root,root) %{_bindir}/script
%attr(755,root,root) %{_bindir}/scriptreplay
%attr(755,root,root) %{_bindir}/setsid
%attr(755,root,root) %{_bindir}/setterm
%attr(755,root,root) %{_bindir}/tailf
%attr(755,root,root) %{_bindir}/taskset
%attr(755,root,root) %{_bindir}/ul
%attr(755,root,root) %{_bindir}/unshare
%attr(755,root,root) %{_bindir}/whereis
%attr(2755,root,tty) %{_bindir}/write
%attr(755,root,root) %{_sbindir}/fdformat
%attr(755,root,root) %{_sbindir}/ldattach
%attr(755,root,root) %{_sbindir}/readprofile
%attr(755,root,root) %{_sbindir}/rtcwake

%{_mandir}/man1/cal.1*
%{_mandir}/man1/chrt.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/dmesg.1*
%{?with_fallocate:%{_mandir}/man1/fallocate.1*}
%{_mandir}/man1/flock.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcmk.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/line.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/lscpu.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/prlimit.1*
%{_mandir}/man1/pg.1*
%{_mandir}/man1/renice.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/scriptreplay.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/tailf.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/unshare.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%if %{with partx}
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*
%{_mandir}/man8/partx.8*
%{_mandir}/man8/lsblk.8*
%endif
%{_mandir}/man8/chcpu.8*
%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/cytune.8*
%{_mandir}/man8/fdformat.8*
%{_mandir}/man8/fsfreeze.8*
%{_mandir}/man8/fstrim.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/raw.8*
%{_mandir}/man8/readprofile.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/swaplabel.8*
%if "%{pld_release}" != "ac"
%{_mandir}/man8/switch_root.8*
%endif
%{_mandir}/man8/wipefs.8*

%lang(de) %{_mandir}/de/man1/kill.1*
%lang(de) %{_mandir}/de/man1/more.1*
%lang(de) %{_mandir}/de/man1/write.1*
%lang(de) %{_mandir}/de/man8/fdformat.8*

%lang(es) %{_mandir}/es/man1/colrm.1*
%lang(es) %{_mandir}/es/man1/column.1*
%lang(es) %{_mandir}/es/man1/ddate.1*
%lang(es) %{_mandir}/es/man1/getopt.1*
%lang(es) %{_mandir}/es/man1/look.1*
%lang(es) %{_mandir}/es/man1/more.1*
%lang(es) %{_mandir}/es/man1/namei.1*
%lang(es) %{_mandir}/es/man1/rev.1*
%lang(es) %{_mandir}/es/man1/script.1*
%lang(es) %{_mandir}/es/man1/setterm.1*
%lang(es) %{_mandir}/es/man1/ul.1*
%lang(es) %{_mandir}/es/man1/whereis.1*
%lang(es) %{_mandir}/es/man1/write.1*
%lang(es) %{_mandir}/es/man8/cytune.8*
%lang(es) %{_mandir}/es/man8/ctrlaltdel.8*
%lang(es) %{_mandir}/es/man8/ipcrm.8*
%lang(es) %{_mandir}/es/man8/ipcs.8*
%lang(es) %{_mandir}/es/man8/mkswap.8*
%lang(es) %{_mandir}/es/man8/readprofile.8*
%lang(es) %{_mandir}/es/man8/renice.8*
%lang(es) %{_mandir}/es/man8/setsid.8*

%lang(fi) %{_mandir}/fi/man1/cal.1*
%lang(fi) %{_mandir}/fi/man1/column.1*
%lang(fi) %{_mandir}/fi/man1/kill.1*
%lang(fi) %{_mandir}/fi/man1/more.1*
%lang(fi) %{_mandir}/fi/man1/whereis.1*
%lang(fi) %{_mandir}/fi/man1/write.1*

%lang(fr) %{_mandir}/fr/man1/cal.1*
%lang(fr) %{_mandir}/fr/man1/col.1*
%lang(fr) %{_mandir}/fr/man1/kill.1*
%lang(fr) %{_mandir}/fr/man1/more.1*
%lang(fr) %{_mandir}/fr/man1/whereis.1*
%lang(fr) %{_mandir}/fr/man1/write.1*
%lang(fr) %{_mandir}/fr/man8/ctrlaltdel.8*
%lang(fr) %{_mandir}/fr/man8/dmesg.8*
%lang(fr) %{_mandir}/fr/man8/fdformat.8*
%lang(fr) %{_mandir}/fr/man8/ipcrm.8*
%lang(fr) %{_mandir}/fr/man8/ipcs.8*
%lang(fr) %{_mandir}/fr/man8/setsid.8*

%lang(hu) %{_mandir}/hu/man1/cal.1*
%lang(hu) %{_mandir}/hu/man1/colrm.1*
%lang(hu) %{_mandir}/hu/man1/hexdump.1*
%lang(hu) %{_mandir}/hu/man1/kill.1*
%lang(hu) %{_mandir}/hu/man1/logger.1*
%lang(hu) %{_mandir}/hu/man1/more.1*
%lang(hu) %{_mandir}/hu/man1/setterm.1*
%lang(hu) %{_mandir}/hu/man1/whereis.1*
%lang(hu) %{_mandir}/hu/man1/write.1*
%lang(hu) %{_mandir}/hu/man8/ctrlaltdel.8*
%lang(hu) %{_mandir}/hu/man8/fdformat.8*
%lang(hu) %{_mandir}/hu/man8/mkswap.8*

%lang(id) %{_mandir}/id/man1/cal.1*
%lang(id) %{_mandir}/id/man1/kill.1*
%lang(id) %{_mandir}/id/man1/logger.1*
%lang(id) %{_mandir}/id/man1/more.1*
%lang(id) %{_mandir}/id/man1/script.1*
%lang(id) %{_mandir}/id/man1/write.1*
%lang(id) %{_mandir}/id/man8/fdformat.8*

%lang(it) %{_mandir}/it/man1/kill.1*
%lang(it) %{_mandir}/it/man8/mkswap.8*
%lang(it) %{_mandir}/it/man8/setsid.8*

%lang(ja) %{_mandir}/ja/man1/cal.1*
%lang(ja) %{_mandir}/ja/man1/col.1*
%lang(ja) %{_mandir}/ja/man1/colcrt.1*
%lang(ja) %{_mandir}/ja/man1/colrm.1*
%lang(ja) %{_mandir}/ja/man1/column.1*
%lang(ja) %{_mandir}/ja/man1/ddate.1*
%lang(ja) %{_mandir}/ja/man1/getopt.1*
%lang(ja) %{_mandir}/ja/man1/hexdump.1*
%lang(ja) %{_mandir}/ja/man1/kill.1*
%lang(ja) %{_mandir}/ja/man1/line.1*
%lang(ja) %{_mandir}/ja/man1/logger.1*
%lang(ja) %{_mandir}/ja/man1/login.1*
%lang(ja) %{_mandir}/ja/man1/look.1*
%lang(ja) %{_mandir}/ja/man1/mcookie.1*
%lang(ja) %{_mandir}/ja/man1/more.1*
%lang(ja) %{_mandir}/ja/man1/namei.1*
%lang(ja) %{_mandir}/ja/man1/rename.1*
%lang(ja) %{_mandir}/ja/man1/rev.1*
%lang(ja) %{_mandir}/ja/man1/script.1*
%lang(ja) %{_mandir}/ja/man1/setterm.1*
%lang(ja) %{_mandir}/ja/man1/ul.1*
%lang(ja) %{_mandir}/ja/man1/whereis.1*
%lang(ja) %{_mandir}/ja/man1/write.1*
%lang(ja) %{_mandir}/ja/man8/ctrlaltdel.8*
%lang(ja) %{_mandir}/ja/man8/cytune.8*
%lang(ja) %{_mandir}/ja/man8/dmesg.8*
%lang(ja) %{_mandir}/ja/man8/fdformat.8*
%lang(ja) %{_mandir}/ja/man8/ipcrm.8*
%lang(ja) %{_mandir}/ja/man8/ipcs.8*
%lang(ja) %{_mandir}/ja/man8/isosize.8*
%lang(ja) %{_mandir}/ja/man8/mkswap.8*
%lang(ja) %{_mandir}/ja/man8/readprofile.8*
%lang(ja) %{_mandir}/ja/man8/renice.8*
%lang(ja) %{_mandir}/ja/man8/setsid.8*

%lang(ko) %{_mandir}/ko/man1/cal.1*
%lang(ko) %{_mandir}/ko/man1/col.1*
%lang(ko) %{_mandir}/ko/man1/colcrt.1*
%lang(ko) %{_mandir}/ko/man1/colrm.1*
%lang(ko) %{_mandir}/ko/man1/column.1*
%lang(ko) %{_mandir}/ko/man1/ddate.1*
%lang(ko) %{_mandir}/ko/man1/getopt.1*
%lang(ko) %{_mandir}/ko/man1/hexdump.1*
%lang(ko) %{_mandir}/ko/man1/kill.1*
%lang(ko) %{_mandir}/ko/man1/logger.1*
%lang(ko) %{_mandir}/ko/man1/look.1*
%lang(ko) %{_mandir}/ko/man1/mcookie.1*
%lang(ko) %{_mandir}/ko/man1/more.1*
%lang(ko) %{_mandir}/ko/man1/namei.1*
%lang(ko) %{_mandir}/ko/man1/rev.1*
%lang(ko) %{_mandir}/ko/man1/script.1*
%lang(ko) %{_mandir}/ko/man1/setterm.1*
%lang(ko) %{_mandir}/ko/man1/ul.1*
%lang(ko) %{_mandir}/ko/man1/whereis.1*
%lang(ko) %{_mandir}/ko/man1/write.1*
%lang(ko) %{_mandir}/ko/man8/ctrlaltdel.8*
%lang(ko) %{_mandir}/ko/man8/dmesg.8*
%lang(ko) %{_mandir}/ko/man8/fdformat.8*
%lang(ko) %{_mandir}/ko/man8/ipcrm.8*
%lang(ko) %{_mandir}/ko/man8/ipcs.8*
%lang(ko) %{_mandir}/ko/man8/mkswap.8*
%lang(ko) %{_mandir}/ko/man8/readprofile.8*
%lang(ko) %{_mandir}/ko/man8/renice.8*
%lang(ko) %{_mandir}/ko/man8/setsid.8*

%lang(nl) %{_mandir}/nl/man1/kill.1*

%lang(pl) %{_mandir}/pl/man1/cal.1*
%lang(pl) %{_mandir}/pl/man1/col.1*
%lang(pl) %{_mandir}/pl/man1/colcrt.1*
%lang(pl) %{_mandir}/pl/man1/colrm.1*
%lang(pl) %{_mandir}/pl/man1/getopt.1*
%lang(pl) %{_mandir}/pl/man1/hexdump.1*
%lang(pl) %{_mandir}/pl/man1/kill.1*
%lang(pl) %{_mandir}/pl/man1/look.1*
%lang(pl) %{_mandir}/pl/man1/logger.1*
%lang(pl) %{_mandir}/pl/man1/more.1*
%lang(pl) %{_mandir}/pl/man1/rev.1*
%lang(pl) %{_mandir}/pl/man1/script.1*
%lang(pl) %{_mandir}/pl/man1/setterm.1*
%lang(pl) %{_mandir}/pl/man1/ul.1*
%lang(pl) %{_mandir}/pl/man1/whereis.1*
%lang(pl) %{_mandir}/pl/man1/write.1*
%lang(pl) %{_mandir}/pl/man8/ctrlaltdel.8*
%lang(pl) %{_mandir}/pl/man8/dmesg.8*
%lang(pl) %{_mandir}/pl/man8/fdformat.8*
%lang(pl) %{_mandir}/pl/man8/ipcrm.8*
%lang(pl) %{_mandir}/pl/man8/ipcs.8*
%lang(pl) %{_mandir}/pl/man8/mkswap.8*
%lang(pl) %{_mandir}/pl/man8/renice.8*

%lang(ru) %{_mandir}/ru/man1/ddate.1*

%attr(755,root,root) /sbin/fdisk
%attr(755,root,root) /sbin/fsck.minix
%attr(755,root,root) /sbin/mkfs.minix
%ifnarch sparc sparc64
%attr(755,root,root) /sbin/cfdisk
%attr(755,root,root) /sbin/sfdisk
%endif

%{_mandir}/man8/fdisk.8*
%ifnarch sparc sparc64
%{_mandir}/man8/cfdisk.8*
%{_mandir}/man8/sfdisk.8*
%endif
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.bfs.8*
%{_mandir}/man8/mkfs.minix.8*
%{_mandir}/man8/mkfs.8*

%lang(es) %{_mandir}/es/man8/fdisk.8*
%lang(es) %{_mandir}/es/man8/fsck.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.8*

%lang(fr) %{_mandir}/fr/man8/fdisk.8*
%ifnarch sparc sparc64
%lang(fr) %{_mandir}/fr/man8/cfdisk.8*
%lang(fr) %{_mandir}/fr/man8/sfdisk.8*
%endif
%lang(fr) %{_mandir}/fr/man8/mkfs.minix.8*
%lang(fr) %{_mandir}/fr/man8/mkfs.8*

%lang(hu) %{_mandir}/hu/man8/mkfs.8*

%lang(it) %{_mandir}/it/man8/fdisk.8*
%ifnarch sparc sparc64
%lang(it) %{_mandir}/it/man8/cfdisk.8*
%endif

%lang(ja) %{_mandir}/ja/man8/fdisk.8*
%ifnarch sparc sparc64
%lang(ja) %{_mandir}/ja/man8/cfdisk.8*
%lang(ja) %{_mandir}/ja/man8/sfdisk.8*
%endif
%lang(ja) %{_mandir}/ja/man8/fsck.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.bfs.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.8*

%lang(ko) %{_mandir}/ko/man8/fdisk.8*
%lang(ko) %{_mandir}/ko/man8/fsck.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.8*

%lang(pl) %{_mandir}/pl/man8/fdisk.8*
%lang(pl) %{_mandir}/pl/man8/fsck.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.8*

%attr(755,root,root) /sbin/fsck.cramfs
%attr(755,root,root) /sbin/mkfs.cramfs
%attr(755,root,root) /sbin/mkfs.bfs

%ghost /var/lock/wtmpxlock

%files -n blockdev
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/blockdev
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/blockdev
%config(noreplace) %verify(not md5 mtime size) /etc/init/blockdev.conf
%attr(755,root,root) /sbin/blockdev
%{_mandir}/man8/blockdev.8*
%lang(ja) %{_mandir}/ja/man8/blockdev.8*

%files -n mount
%defattr(644,root,root,755)
%attr(755,root,root) /bin/mountpoint
%attr(4755,root,root) /bin/mount
%attr(4755,root,root) /bin/umount
%attr(755,root,root) /sbin/pivot_root
%attr(755,root,root) /sbin/swapon
%attr(755,root,root) /sbin/swapoff

%{_mandir}/man1/mountpoint.1*
%{_mandir}/man5/fstab.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/swapoff.8*

%lang(cs) %{_mandir}/cs/man5/fstab.5*

%lang(de) %{_mandir}/de/man5/fstab.5*

%lang(es) %{_mandir}/es/man5/fstab.5*
%lang(es) %{_mandir}/es/man8/mount.8*
%lang(es) %{_mandir}/es/man8/umount.8*
%lang(es) %{_mandir}/es/man8/swapon.8*
%lang(es) %{_mandir}/es/man8/swapoff.8*

%lang(fr) %{_mandir}/fr/man5/fstab.5*
%lang(fr) %{_mandir}/fr/man8/mount.8*
%lang(fr) %{_mandir}/fr/man8/umount.8*

%lang(hu) %{_mandir}/hu/man5/fstab.5*
%lang(hu) %{_mandir}/hu/man8/mount.8*
%lang(hu) %{_mandir}/hu/man8/umount.8*

%lang(it) %{_mandir}/it/man5/fstab.5*
%lang(it) %{_mandir}/it/man8/mount.8*
%lang(it) %{_mandir}/it/man8/umount.8*
%lang(it) %{_mandir}/it/man8/swapon.8*
%lang(it) %{_mandir}/it/man8/swapoff.8*

%lang(ja) %{_mandir}/ja/man5/fstab.5*
%lang(ja) %{_mandir}/ja/man8/mount.8*
%lang(ja) %{_mandir}/ja/man8/umount.8*
%lang(ja) %{_mandir}/ja/man8/pivot_root.8*
%lang(ja) %{_mandir}/ja/man8/swapon.8*
%lang(ja) %{_mandir}/ja/man8/swapoff.8*

%lang(ko) %{_mandir}/ko/man5/fstab.5*
%lang(ko) %{_mandir}/ko/man8/mount.8*
%lang(ko) %{_mandir}/ko/man8/umount.8*
%lang(ko) %{_mandir}/ko/man8/swapon.8*
%lang(ko) %{_mandir}/ko/man8/swapoff.8*

%lang(pl) %{_mandir}/pl/man5/fstab.5*
%lang(pl) %{_mandir}/pl/man8/mount.8*
%lang(pl) %{_mandir}/pl/man8/umount.8*
%lang(pl) %{_mandir}/pl/man8/swapon.8*
%lang(pl) %{_mandir}/pl/man8/swapoff.8*

%files -n losetup
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/losetup
%{_mandir}/man8/losetup.8*
%lang(fr) %{_mandir}/fr/man8/losetup.8*
%lang(it) %{_mandir}/it/man8/losetup.8*
%lang(ja) %{_mandir}/ja/man8/losetup.8*
%lang(ko) %{_mandir}/ko/man8/losetup.8*
%lang(pl) %{_mandir}/pl/man8/losetup.8*

%files chkdupexe
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chkdupexe
%{_mandir}/man1/chkdupexe.1*
%lang(ja) %{_mandir}/ja/man1/chkdupexe.1*
%lang(ko) %{_mandir}/ko/man1/chkdupexe.1*
%lang(pl) %{_mandir}/pl/man1/chkdupexe.1*

%files -n tunelp
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tunelp
%{_mandir}/man8/tunelp.8*
%lang(es) %{_mandir}/es/man8/tunelp.8*
%lang(ja) %{_mandir}/ja/man8/tunelp.8*
%lang(pl) %{_mandir}/pl/man8/tunelp.8*

%files -n login
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/login
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.login
%attr(755,root,root) /bin/login
%{_mandir}/man1/login.1*
%lang(de) %{_mandir}/de/man1/login.1*
%lang(es) %{_mandir}/es/man1/login.1*
%lang(hu) %{_mandir}/hu/man1/login.1*
%lang(id) %{_mandir}/id/man1/login.1*
%lang(ja) %{_mandir}/ja/man1/login.1*
%lang(ko) %{_mandir}/ko/man1/login.1*
%lang(pl) %{_mandir}/pl/man1/login.1*

%files -n agetty
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/agetty
%{_mandir}/man8/agetty.8*
%lang(es) %{_mandir}/es/man8/agetty.8*
%lang(ja) %{_mandir}/ja/man8/agetty.8*

%files -n libblkid
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libblkid.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libblkid.so.1

%files -n libblkid-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libblkid.so
%{_libdir}/libblkid.la
%{_includedir}/blkid
%{_pkgconfigdir}/blkid.pc
%{_mandir}/man3/libblkid.3*

%files -n libblkid-static
%defattr(644,root,root,755)
%{_libdir}/libblkid.a

%if %{with initrd} && %{with dietlibc}
%files -n libblkid-dietlibc
%defattr(644,root,root,755)
%{dietlibdir}/libblkid.a
%endif

%files -n libuuid
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uuidgen
%attr(755,root,root) /%{_lib}/libuuid.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libuuid.so.1
%{_mandir}/man1/uuidgen.1*

%files -n libuuid-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libuuid.so
%{_libdir}/libuuid.la
%{_includedir}/uuid
%{_pkgconfigdir}/uuid.pc
%{_mandir}/man3/uuid*.3*

%files -n libuuid-static
%defattr(644,root,root,755)
%{_libdir}/libuuid.a

%if %{with initrd} && %{with dietlibc}
%files -n libuuid-dietlibc
%defattr(644,root,root,755)
%{dietlibdir}/libuuid.a
%endif

%files -n uuidd
%defattr(644,root,root,755)
%attr(6755,uuidd,uuidd) %{_sbindir}/uuidd
%attr(2775,uuidd,uuidd) /var/lib/libuuid
%{_mandir}/man8/uuidd.8*

%files -n libmount
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libmount.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libmount.so.1
# move to -n mount when mount starts to use libmount
%attr(755,root,root) /bin/findmnt
%{_mandir}/man8/findmnt.8*

%files -n libmount-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmount.so
%{_libdir}/libmount.la
%{_includedir}/libmount
%{_pkgconfigdir}/mount.pc

%files -n libmount-static
%defattr(644,root,root,755)
%{_libdir}/libmount.a

%files -n fsck
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/fsck
%{_mandir}/man8/fsck.8*

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/initrd/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: util-linux.spec,v $
Revision 1.349  2012/06/10 15:19:47  glen
- login pam: do not log about missing pam_ck_connector.so

Revision 1.348  2012/06/02 10:58:00  arekm
- release 2

Revision 1.347  2012/05/27 11:59:53  qboosh
- updated to 2.21.2
- removed obsolete fix-crash-on-fdisk-l patch

Revision 1.346  2012/03/31 17:04:20  qboosh
- updated readprofile page (1 -> 8) in localized man pages
- fixed pl.po-update patch: killed wrong change, update remaining fuzzy entry instead

Revision 1.345  2012/03/30 12:00:37  arekm
- up to 2.21.1

Revision 1.344  2012/03/06 19:08:41  qboosh
- BR: udev-devel

Revision 1.343  2012/03/06 10:34:38  glen
- upstream fix for same thing

Revision 1.342  2012/03/06 10:22:30  glen
- fix crash on fdisk -l

Revision 1.341  2012/03/05 20:20:00  glen
- pam is no longer opt in/out

Revision 1.340  2012/03/05 20:19:14  arekm
- rel 1; package chcpu/raw/prlimit

Revision 1.339  2012/03/05 20:04:03  baggins
- disable raw and cramfs for initrd,
  raw is long time obsolete and cramfs is not important there

Revision 1.338  2012/03/05 19:48:09  glen
- fix diet vs ccache build

Revision 1.337  2012/03/05 19:41:06  glen
- up to 2.21; initrd build fails with finding -lcompat

Revision 1.336  2012/01/18 20:55:46  glen
- comment about C: nfs-utils-common < 1.1.3-3

Revision 1.335  2012/01/10 15:44:32  lisu
- no more separated libtinfo(w)
- use sed macro

Revision 1.334  2011/12/03 18:46:48  arekm
- rel 4; add util-linux strict R libblkid

Revision 1.333  2011/12/03 07:58:03  qboosh
- updated pl.po-update patch; dropped duplicate Patch entry

Revision 1.332  2011/11/27 21:18:02  arekm
- rel 3; revert dietlibc BR bump (old version is enough with disabled libmount)

Revision 1.331  2011/11/27 21:15:00  arekm
- rel 2; fix if

Revision 1.330  2011/11/27 20:55:06  arekm
- rel 1; disable libmount for initrd (dietlibc doesn't support required modifiers)

Revision 1.329  2011/11/27 20:29:25  arekm
- up to 2.20.1 (builds but not without dietlibc since diet does not support %m/%a scanf modifiers)

Revision 1.328  2011/10/11 16:04:57  qboosh
- strict internal fsck->libblkid dependency

Revision 1.327  2011/10/11 16:01:59  qboosh
- strict internal mount->libmount dependency

Revision 1.326  2011/10/05 21:03:38  glen
- versioned obsoletes with release

Revision 1.325  2011/09/26 23:02:59  glen
- SysVinit upgrade path

Revision 1.324  2011/09/26 16:39:22  arekm
- rel 8; versioned O

Revision 1.323  2011/09/25 10:40:55  glen
- update upstart deps

Revision 1.322  2011/09/07 18:07:30  qboosh
- updated BRs

Revision 1.321  2011/09/07 17:26:03  qboosh
- updated pl.po-update patch is back

Revision 1.320  2011/09/07 15:45:52  glen
- mountpoint to "mount" package (links with libmount)

Revision 1.319  2011/09/05 15:56:15  glen
- release 6

Revision 1.318  2011/09/05 15:36:50  glen
- moved mountpoint from SysVinit package; rel 5

Revision 1.317  2011/09/05 10:19:15  glen
- different cachefile for initrd build

Revision 1.316  2011/09/02 06:32:55  glen
- add blockdev upstart

Revision 1.315  2011/08/31 20:06:15  arekm
- rel 4; don't include mountpoint (SysVinit contains it)

Revision 1.314  2011/08/31 19:51:16  arekm
- release 3

Revision 1.313  2011/08/31 18:28:35  arekm
- release 2

Revision 1.312  2011/08/29 20:56:37  arekm
- rel 1; add missing functions to dietlibc, so this now builds

Revision 1.311  2011/08/29 14:03:08  arekm
- up to 2.20; builds only without dietlibc

Revision 1.310  2011/06/25 20:15:38  glen
- note about openat glibc version

Revision 1.309  2011/06/25 18:07:24  glen
- disable partx/* apps due missing openat for ac

Revision 1.308  2011/06/25 17:23:58  glen
- libtool 2 in m4/

Revision 1.307  2011/05/02 18:47:11  qboosh
- added pl.po-update patch
- updated autoconf BR

Revision 1.306  2011/05/02 16:40:57  arekm
- up to 2.19.1

Revision 1.305  2011/02/10 23:50:50  sparky
- release: 1; please test -initrd

Revision 1.304  2011/02/10 22:52:56  sparky
- util-linux name is back, no more -ng

Revision 1.303  2011/02/10 22:46:31  sparky
- copied from util-linux-ng.spec

Revision 1.87  2011/02/10 22:33:49  sparky
- changed versionsort->alphasort remap hack to a nicer function check + #ifdef

Revision 1.86  2011/02/10 21:48:43  sparky
- link uClibc versions statically

Revision 1.85  2011/02/10 20:33:48  sparky
- some fixes and tiny hacks to make it build with dietlibc; TEST !

Revision 1.84  2011/02/10 18:58:20  sparky
- lackage lsblk and fstrim

Revision 1.83  2011/02/10 18:32:14  sparky
- some progress made: initrd version still won't build with either dietlibc
  or uClibc
- info documentation is no more; dropped BR: texinfo
- gettextize, libtoolize; BR: autoconf, gtk-doc-automake
- locale files changed name to util-linux

Revision 1.82  2011/02/10 11:54:02  arekm
- up to 2.19; needs crypt detection fix

Revision 1.81  2010/08/31 14:37:04  glen
- br am 1.10

Revision 1.80  2010/08/26 10:47:59  baggins
- rel 5

Revision 1.79  2010/08/26 10:43:04  baggins
- dietlibc 2:0.32-7 has program_invocation_short_name and UINTMAX_MAX
- regenerate ac/am stuff (sed configure.ac in prep)
- build more stuff for initrd (fdisk, mkswap, etc.)
- add libmount-dietlibc for completness

Revision 1.78  2010/08/25 00:16:26  baggins
- rel 4
- fixed dietlibc

Revision 1.77  2010/08/25 00:07:56  baggins
- rel 3
- BR dietlibc with proper major/minor/makedev macros

Revision 1.76  2010/08/20 20:12:18  arekm
- release 2

Revision 1.75  2010/08/20 18:35:08  qboosh
- sed hack to link curses-dependent apps with libtinfow

Revision 1.74  2010/08/19 06:25:08  qboosh
- updated to 2.18
- new libmount-* packages (library using libblkid)
- libblkid depends on libuuid (use strict internal deps)
- new findmnt utility (temporarily in libmount;
  to be moved to mount when mount starts to depend on libmount - probably in 2.19)
- new fsfreeze and swaplabel utils (in base)

Revision 1.73  2010/05/09 10:57:10  qboosh
- dropped obsolete ac patch
- adapted remaining patches from old util-linux:
  ctrlaltdel-man,fdformat-ide,fhs,hotkeys,info,login-lastlog,procpartitions,swaponsymlink

Revision 1.72  2010/05/09 08:03:12  glen
- pff, the opposite

Revision 1.71  2010/05/09 00:54:17  glen
- manfiles fix for ramsizerdevrootflagsvidmode pages on non-intels

Revision 1.70  2010/05/08 23:27:49  glen
- disable initrd for ac

Revision 1.69  2010/05/08 23:20:14  glen
- ramsize/rdev/rootflags/vidmode present on alpha and sparc as well

Revision 1.68  2010/05/08 22:53:45  glen
- info/dir not always present (ac sparc, alpha)

Revision 1.67  2010/05/08 21:57:04  glen
- no need to regenerate auto* (no relevant file patched)
- needs newer llh (tested with 2.6.27) for ionice related syscalls
- disable switch_root on ac
- fix without initrd packaging

Revision 1.66  2010/05/07 06:50:37  glen
- run diet without ccache

Revision 1.65  2010/05/07 06:46:09  glen
- bring ac into play

Revision 1.64  2010/04/29 06:51:43  qboosh
- libgcrypt/libgpg-error no longer used

Revision 1.63  2010/04/29 06:47:19  qboosh
- completed pl

Revision 1.62  2010/04/16 05:43:06  qboosh
- added fallocate bcond

Revision 1.61  2010/03/22 18:22:42  arekm
- up to 2.17.2

Revision 1.60  2010/02/26 09:30:56  adamg
- typo

Revision 1.59  2010/02/26 09:29:54  adamg
- remove sg to avoid conflict with pwdutils

Revision 1.58  2010/02/26 09:28:24  adamg
- updated to 2.17.1

Revision 1.57  2010/01/08 10:13:18  arekm
- up to 2.17

Revision 1.56  2009/12/01 15:50:01  sparky
- BR: pkgconfig

Revision 1.55  2009/12/01 14:59:15  arekm
- up to 2.16.2

Revision 1.54  2009/09/07 10:02:24  arekm
- up to 2.16.1

Revision 1.53  2009/08/18 09:20:21  arekm
- release 5

Revision 1.52  2009/07/22 19:17:38  arekm
- rel 4; filterout some flags for dietlibc on ppc

Revision 1.51  2009/07/19 11:48:54  arekm
- rel 3; fsck also moved from e2fsprogs

Revision 1.50  2009/07/19 04:12:20  arekm
- rel 2; libuuid moved here from e2fsprogs

Revision 1.49  2009/07/16 05:13:11  arekm
- up to 2.16 (uuid library still needs to be moved here from e2fsprogs)

Revision 1.48  2009/06/10 16:13:18  adamg
- updated to 2.15.1

Revision 1.47  2009/05/26 22:44:36  baggins
- rel 7
- C e2fsprogs < 1.41.5 (for blkid and findfs)

Revision 1.46  2009/05/25 10:50:16  blues
- CVE-2008-1926  note

Revision 1.45  2009/05/20 14:22:15  baggins
- rel 6
- libblkid-{devel,static,dietlibc} R libuuid-{devel,static,dietlibc}

Revision 1.44  2009/05/20 12:28:25  baggins
- rel 5

Revision 1.43  2009/05/20 10:30:12  baggins
- replace libs,devel and static with libblkid{,-devel,-static}
- added libblkid-dietlibc package

Revision 1.42  2009/05/19 15:54:21  baggins
- rel 4
- moved libblkid to libs package

Revision 1.41  2009/05/19 14:51:01  baggins
- libblkid merge is a fialure :/

Revision 1.40  2009/05/19 14:44:15  baggins
- added blkid.tab ghost
- don't put devel shit in / !

Revision 1.39  2009/05/19 14:16:34  baggins
- rel 3
- added union mount support

Revision 1.38  2009/05/18 14:56:34  baggins
- added initrd package with blkid and findfs
- changed meaning of uClibc bcond (what was that hack anyway?)

Revision 1.37  2009/05/18 14:08:04  baggins
- fixed duplicate post/postun

Revision 1.36  2009/05/18 12:44:38  patrys
- execute ldconfig

Revision 1.35  2009/05/18 12:32:37  patrys
- drop BR: e2fsprogs-devel

Revision 1.34  2009/05/15 13:24:20  patrys
- build libblkid as we want it to replace the one shipped with e2fsprogs
- rel 2

Revision 1.33  2009/05/07 20:40:13  adamg
- updated to 2.15 [fixes: CVE-2008-1926]

Revision 1.32  2009/04/29 11:15:48  glen
- C: nfs-utils-common < 1.1.3-3 (some old change i don't recall)

Revision 1.31  2009/02/18 20:11:17  arekm
- release 2

Revision 1.30  2009/02/09 21:53:11  arekm
- up to 2.14.2

Revision 1.29  2008/12/04 19:10:18  arekm
- rel 2

Revision 1.28  2008/12/04 19:04:32  arekm
- drop ppc hacks

Revision 1.27  2008/12/04 18:57:11  sparky
- use hwclock.rtc as hwclock on ppc (now it works on macs)

Revision 1.26  2008/09/14 11:21:11  adamg
- updated to 2.14.1

Revision 1.25  2008/08/10 23:34:24  sls
- BR: libsepol-devel (or should it be Req in libselinux-devel?)

Revision 1.24  2008/08/10 23:31:16  sls
- BR: fresh rpm-build-macros
- remove cryptsetup deps (used with dm_crypt.patch)
- BR: libtool

Revision 1.23  2008/08/08 06:39:01  arekm
- up to 2.14 (push dm-crypt upstream instead of putting it here IMO)

Revision 1.22  2008-04-22 07:42:12  arekm
- up to 2.13.1.1; audit log injection attack via login fix (CVE-2007-3102)

Revision 1.21  2008-03-27 04:30:10  sls
- add dm_crypt.patch

Revision 1.20  2008-03-27 03:21:42  sls
- Obsoletes:     ionice

Revision 1.19  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.18  2008-01-16 15:49:50  arekm
- up to 2.13.1

Revision 1.17  2007/10/25 15:35:39  baggins
- re 2
- fix pam config wrt ConsoleKit

Revision 1.16  2007/10/22 11:01:47  arekm
- up to 2.13.0.1; official sec upgrade (we had it patched earlier)

Revision 1.15  2007/10/19 10:46:29  arekm
- rel 5; CVE-2007-5191

Revision 1.14  2007/09/23 14:58:15  areq
- remove scriptreplay (kill R:perl)

Revision 1.13  2007/08/28 08:01:59  arekm
- fix ppc hwclock

Revision 1.12  2007/08/28 07:47:50  arekm
- rel 3; fix ppc

Revision 1.11  2007/08/28 07:42:19  arekm
- rel 2; fix files

Revision 1.10  2007/08/28 07:15:36  arekm
- updated to 2.13 final (fixes: CVE-2007-0822, CVE-2006-7108). It's going to replace util-linux in th.

Revision 1.9  2007/07/17 13:56:34  arekm
- up to 2.13 rc2

Revision 1.8  2007/07/08 20:06:20  qboosh
- setarch todo note

Revision 1.7  2007/07/04 08:20:31  arekm
- more obsoletes

Revision 1.6  2007/07/04 08:12:00  arekm
- up to 2.13rc1

Revision 1.5  2007/06/19 19:00:54  arekm
- add url

Revision 1.4  2007/06/19 18:51:48  arekm
O: util-linux

Revision 1.3  2007/06/19 18:49:15  arekm
- rel 1.xyz

Revision 1.2  2007/06/19 18:48:21  arekm
- builds

Revision 1.1  2007/06/19 15:52:47  arekm
- start playing with util-linux-ng

Revision 1.299  2007/05/21 17:56:26  qboosh
- pass --enable-login-chown-vcs to configure

Revision 1.298  2007/04/16 17:41:33  tommat
- added util-linux-sparc.patch

Revision 1.297  2007/04/02 22:09:27  sls
- rel. 2
- fixed (?) dm_crypt.patch

Revision 1.296  2007/04/02 21:40:19  sls
- cryptsetup-luks isn't equivalent of cryptsetup

Revision 1.295  2007/03/25 15:40:36  baggins
- added patch for mount to call mount.<FSTYPE> also for autodetected fs

Revision 1.294  2007/03/25 00:21:08  baggins
- files shuffling to avoid confusion later

Revision 1.293  2007/03/24 22:35:15  baggins
- BR sed 4.0
- fix mail spool path in login manpage
- move addpart,delpart,partx to /sbin
- move taskset,raw to /bin

Revision 1.292  2007/03/24 22:12:52  baggins
- removed TODO for raw, raw is obsolete use open(..., O_DIRECT)
- utmp(x)/wtmp(x) access ok
- updated BRs

Revision 1.291  2007/03/24 21:27:54  baggins
- up to 2.13-pre7, WIP
- added some 60 bugfixes from fedora
- O: schedutils (schedutils is now part of util-linux)
- arch, fdprm, setfdprm, elvtune are no more
- nfs support removed from mount (we now use mount.nfs from nfs-utils)
- moved nfs(5) manpage to nfs-utils

Revision 1.290  2007/03/22 18:58:07  baggins
- started update to 2.13-pre7

Revision 1.289  2007/03/22 18:40:18  baggins
- removed nfs fixes, we use mount.nfs* from nfs-utils

Revision 1.288  2007/03/22 15:50:44  baggins
- add patch to pass -f (fake mount) to mount.<FSTYPE> helpers

Revision 1.287  2007/02/15 12:28:03  arekm
- rel 8

Revision 1.286  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.285  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.284  2007/02/11 13:29:26  baggins
- rel 7
- R: pam >= 0.99.7.1

Revision 1.283  2007/01/07 23:05:18  areq
- fix without selinux

Revision 1.282  2006/12/07 20:58:02  glen
- rel 6, improved blockdev initscript

Revision 1.281  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.280  2006/11/03 22:52:00  zbyniu
- bcond without selinux added

Revision 1.279  2006/10/20 09:19:42  glen
- rel 5

Revision 1.278  2006/10/19 12:18:03  glen
- R: coreutils in blockdev

Revision 1.277  2006/08/02 00:50:59  sparky
- sed 2 patch

Revision 1.276  2006/07/31 22:27:07  sparky
- as-needed fix: link with both -lncurses -ltinfo

Revision 1.275  2006/02/08 16:48:03  glen
- fixed broken upgrade; use %service; rel 4, STBR

Revision 1.274  2006/02/03 21:09:44  sparky
- kill urls in cvs sources

Revision 1.273  2006/01/03 10:54:10  qboosh
- pl for blockdev

Revision 1.272  2006/01/03 10:46:31  glen
- separated blockdev; rel 3

Revision 1.271  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.270  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.269  2005/11/27 22:59:36  charles
- R(post,preun): /sbin/chkconfig (blockdev)

Revision 1.268  2005/11/15 12:10:32  arekm
- rel 2

Revision 1.267  2005/11/05 17:54:27  qboosh
- sorted verify() flags

Revision 1.266  2005/11/05 14:23:39  arekm
- package scripts

Revision 1.265  2005/11/05 14:22:12  arekm
- scripts for setting blockdev parameters

Revision 1.264  2005/10/06 11:12:34  qboosh
- updated to 2.12r (really fixes CAN-2005-2876 by disallowing user remounts)

Revision 1.263  2005/09/23 10:46:26  charles
- integer release (with new patches) - rel. 4 is broken
- STBR

Revision 1.262  2005/09/22 22:34:40  glen
- add more patches from gentoo that hawk proposed

Revision 1.261  2005/09/21 17:06:55  glen
- CAN-2005-2876; rel 4

Revision 1.260  2005/09/12 21:14:05  glen
- added mount --move patch. tested. works for me. rel 3; STBR

Revision 1.259  2005/05/27 14:38:01  arekm
- add nfs4 patches

Revision 1.258  2005/05/24 23:53:24  pluto
- gcc4 fix.

Revision 1.257  2005/05/12 13:18:39  baggins
- release 2
- req pam 0.79

Revision 1.256  2005/02/27 19:10:58  arekm
- bcond dropped

Revision 1.255  2005/02/27 19:08:50  arekm
- up to 2.12q

Revision 1.254  2005/02/17 00:53:19  gj
- fix race cond in fdisk-sunlabel, causing in some cases new created label NOT be saved on the media.
- Btw, can someone finally do 2 things:
  - upgrade trunk util-linu to 2.12q
  - add this letter at the end of version number. It is important!
  Thank you.

Revision 1.253  2005/01/08 12:26:34  mmazur
- util-linux switched to a new maintainer and is now available from
  ftp.kernel.org

Revision 1.252  2004/12/31 02:41:49  ankry
- fixed Rs, rel. 15

Revision 1.251  2004/12/30 10:21:31  ankry
- added blocker

Revision 1.250  2004/12/27 15:23:33  qboosh
- noted URL to new versions

Revision 1.249  2004/12/27 15:06:30  krzak
- managed.patch allow to use option "managed" and "kudzu" in mount options
- rel 14

Revision 1.248  2004/12/03 18:32:12  glen
- fix selinux bcond

Revision 1.247  2004/11/18 22:15:23  glen
- added selinux bcond

Revision 1.246  2004/11/16 12:44:43  wrobell
- rel. 13

Revision 1.245  2004/10/28 13:12:05  areq
- BR cryptsetup-devel

Revision 1.244  2004/10/24 15:59:35  wrobell
- cryptoloop is removed from kernel, use dm_crypt instead of it:
    http://article.gmane.org/gmane.linux.kernel.device-mapper.dm-crypt/34
- WARNING: mount command depends on libraries in /usr/lib, now
  do not send this revision to builders!

Revision 1.243  2004/09/25 11:56:15  blues
- TODO added

Revision 1.242  2004/08/04 17:34:25  qboosh
- killed losetup bugs in dev_t and crypto-debian patches; release 12

Revision 1.241  2004/02/26 15:55:01  qboosh
- updated selinux patch, release 11

Revision 1.240  2004/02/23 22:15:03  qboosh
- restored original fixes from blk patch to work not only with llh
- removed newgrp once again (this version doesn't even support gshadow; use
  pwdutils/shadow instead)
- release 10

Revision 1.239  2004/01/23 12:55:13  qboosh
- rm files unwanted only on some archs too

Revision 1.238  2004/01/23 12:48:26  qboosh
- updated non-english-man-pages
- rm unwanted files for clean build
- release 9

Revision 1.237  2004/01/22 09:12:40  qboosh
- newgrp was in shadow-extras, not shadow - fixed Conflicts; release 8

Revision 1.236  2004/01/21 21:59:01  qboosh
- really added newgrp utility
- added sg links to newgrp (as they were in shadow)
- Conflicts with shadow with newgrp, release 7

Revision 1.235  2004/01/08 11:45:13  arekm
- move some utils back to coreutils/util-linux to make shadow more compatible with pwdutils

Revision 1.234  2003/12/28 00:10:05  qboosh
- added blk patch for broken BLK* ioctls definitions
- added io patch to use proper io.h on x86
- new-style bcond

Revision 1.233  2003/12/27 00:11:00  arekm
- added selinux patch

Revision 1.232  2003/12/19 13:38:28  jajcus
- use glibc definition of dev_t, not kernel one. Someone has to check if this doesn't break anything

Revision 1.231  2003/12/10 17:27:45  arekm
- added crypto changes from debian

Revision 1.230  2003/11/16 14:35:31  arekm
- fix fdisk on amd64 and check /{usr/,}lib64 in whereis

Revision 1.229  2003/10/20 20:11:16  qboosh
- no kernel-dependent crypto patches now, so removed kernel-dependent releases

Revision 1.228  2003/10/13 00:06:46  wrobell
- changelog cut

Revision 1.227  2003/10/13 00:04:51  wrobell
- removed out of date crypto api patches - basic functionality
  exists in util linux;
  if one wants crypted loop device, then the patch is required:
      http://www.kernel.org/pub/linux/kernel/people/hvr/testing/patch-cryptoloop-hvr-2.4.22.0
  _before_ _adding_ more crypto patches (i.e. keybits option or sth.) please
  read
    http://mail.nl.linux.org/linux-crypto/2003-08/msg00002.html
    http://mail.nl.linux.org/linux-crypto/2003-08/msg00009.html
  then let's discuss the issues on pld-devel;
  BTW. i have extracted crypto api patches from debian if someone is
  interested in

Revision 1.226  2003/10/11 17:26:03  wrobell
- let's leave it in this state...

Revision 1.225  2003/10/11 17:10:22  wrobell
- specified patches should be included, it will be reviewed later, NFY

Revision 1.224  2003/10/11 17:06:15  wrobell
- mount symlink problem fixed in 2.12, I hope, so patch removed (areq?)
- fix Release tags madness
- removed 2.2.x kernel support (use ra branch, please)
- some crypto api stuff is integrated with util-linux, but more work
  is required to finish it, so NFY
- rel. 4

Revision 1.223  2003/10/11 15:26:25  wrobell
- ver. 2.12 (final)
- switch to maintainer's ftp site

Revision 1.222  2003/10/11 15:14:26  wrobell
- clean release mess

Revision 1.221  2003/09/26 14:26:06  baggins
- release 1

Revision 1.220  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.219  2003/08/31 17:48:27  mmazur
- rel 3 for ac

Revision 1.218  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.217  2003/08/22 15:20:15  qboosh
- verify flags for configs

Revision 1.216  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.215  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.214  2003/08/20 10:19:57  areq
- add mount-2.12pre-symlink_20030809.diff patch
  http://panopticon.csustan.edu/thood/readonly-root.html

Revision 1.213  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.212  2003/08/14 22:01:00  ankry
- sorted descriptions

Revision 1.211  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.210  2003/08/03 21:22:19  grzegol
- updated to 2.12pre
- updated %files (added tailf)

Revision 1.209  2003/06/26 21:15:23  mmazur
- added no_multiline patch... needed for gettext in gcc33

Revision 1.208  2003/06/23 22:42:31  undefine
- don't build sfdisk and cfdisk on sparc (bigendian problems)
- release 2

Revision 1.207  2003/06/14 16:13:52  undefine
- build cfdisk and sfdisk on sparc too. Why it was disabled by default???

Revision 1.206  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.205  2003/05/25 11:01:16  malekith
- massive attack, adding Source-md5

Revision 1.204  2003/05/25 06:27:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.203  2003/05/22 21:58:43  malekith
- got rid of those BOOT bconds; it wasn't used for ages

Revision 1.202  2003/05/22 21:57:37  malekith
- fix uClibc build

Revision 1.201  2003/03/31 08:38:13  wiget
- reverted

Revision 1.200  2003/03/31 08:07:51  wiget
- errno.patch
- release 2
